aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-09-19 09:03:44 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2011-09-19 09:03:44 +0000
commit6be6c0f3cd362b4db306104cc0478814743724c0 (patch)
treec02ef60446c3d5fc35ecb18f762921e981847699 /testing
parenta2b44a67c4f72a3771f5990cab56f1e252fe47cf (diff)
parent4fc5b7153a82639f151ae0a2627d57d18d00487c (diff)
downloadaports-6be6c0f3cd362b4db306104cc0478814743724c0.tar.bz2
aports-6be6c0f3cd362b4db306104cc0478814743724c0.tar.xz
Merge git://dev.alpinelinux.org/aports
Diffstat (limited to 'testing')
-rw-r--r--testing/awesome/0001-Update-the-code-following-release-of-xcb-util-0.3.8.patch587
-rw-r--r--testing/awesome/APKBUILD14
-rw-r--r--testing/awesome/cmake.patch37
-rw-r--r--testing/ddrescue/APKBUILD42
-rw-r--r--testing/gnash/APKBUILD2
-rw-r--r--testing/hydrogen/APKBUILD53
-rw-r--r--testing/hydrogen/hydrogen-docdir.patch11
-rw-r--r--testing/jwm/APKBUILD50
-rw-r--r--testing/lua-curses/APKBUILD41
-rw-r--r--testing/lxterminal/APKBUILD44
-rw-r--r--testing/ngrep/APKBUILD29
-rw-r--r--testing/ntfsprogs/APKBUILD39
-rw-r--r--testing/partclone/APKBUILD7
-rw-r--r--testing/pastebinc/APKBUILD8
-rw-r--r--testing/postfixadmin/APKBUILD44
-rw-r--r--testing/squid/APKBUILD285
-rw-r--r--testing/squid/squid.confd15
-rw-r--r--testing/squid/squid.initd115
-rw-r--r--testing/squid/squid.logrotate11
-rw-r--r--testing/squid/squid.post-install5
-rw-r--r--testing/squid/squid.pre-install6
-rw-r--r--testing/squid/squid.pre-upgrade6
-rw-r--r--testing/wine_gecko/APKBUILD31
23 files changed, 1402 insertions, 80 deletions
diff --git a/testing/awesome/0001-Update-the-code-following-release-of-xcb-util-0.3.8.patch b/testing/awesome/0001-Update-the-code-following-release-of-xcb-util-0.3.8.patch
new file mode 100644
index 0000000000..0c1f4836c4
--- /dev/null
+++ b/testing/awesome/0001-Update-the-code-following-release-of-xcb-util-0.3.8.patch
@@ -0,0 +1,587 @@
+From 33e140552786f20a34c15852e88aaa27f3bed029 Mon Sep 17 00:00:00 2001
+From: Arnaud Fontaine <arnau@debian.org>
+Date: Wed, 27 Apr 2011 15:44:35 +0900
+Subject: [PATCH] Update the code following release of xcb-util 0.3.8.
+
+xcb-util is now split into several repositories since 0.3.8. This
+release also cleaned up the API a lot, thus update the code
+accordingly.
+
+Signed-off-by: Arnaud Fontaine <arnau@debian.org>
+---
+ awesome.c | 2 +-
+ awesomeConfig.cmake | 7 ++---
+ client.c | 56 +++++++++++++++++++++---------------------
+ client.h | 6 ++--
+ common/xutil.c | 1 -
+ event.c | 10 +++---
+ ewmh.c | 4 +-
+ property.c | 68 +++++++++++++++++++++++++-------------------------
+ selection.c | 14 +++++-----
+ systray.c | 2 +-
+ window.c | 4 +-
+ 11 files changed, 86 insertions(+), 88 deletions(-)
+
+diff --git a/awesome.c b/awesome.c
+index f89080c..1258b4c 100644
+--- a/awesome.c
++++ b/awesome.c
+@@ -154,7 +154,7 @@ scan(void)
+
+ if(!attr_r || attr_r->override_redirect
+ || attr_r->map_state == XCB_MAP_STATE_UNMAPPED
+- || state == XCB_WM_STATE_WITHDRAWN)
++ || state == XCB_ICCCM_WM_STATE_WITHDRAWN)
+ {
+ geom_wins[i] = NULL;
+ p_delete(&attr_r);
+diff --git a/awesomeConfig.cmake b/awesomeConfig.cmake
+index 68b5ee3..5672afc 100644
+--- a/awesomeConfig.cmake
++++ b/awesomeConfig.cmake
+@@ -127,7 +127,7 @@ execute_process(
+
+ # Use pkgconfig to get most of the libraries
+ pkg_check_modules(AWESOME_COMMON_REQUIRED REQUIRED
+- xcb>=1.4)
++ xcb>=1.6)
+
+ pkg_check_modules(AWESOME_REQUIRED REQUIRED
+ glib-2.0
+@@ -139,10 +139,9 @@ pkg_check_modules(AWESOME_REQUIRED REQUIRED
+ xcb-xtest
+ xcb-xinerama
+ xcb-shape
+- xcb-aux>=0.3.0
+- xcb-atom>=0.3.0
++ xcb-util>=0.3.8
+ xcb-keysyms>=0.3.4
+- xcb-icccm>=0.3.6
++ xcb-icccm>=0.3.8
+ xcb-image>=0.3.0
+ cairo-xcb
+ libstartup-notification-1.0>=0.10
+diff --git a/client.c b/client.c
+index 049e3d5..baae69f 100644
+--- a/client.c
++++ b/client.c
+@@ -52,7 +52,7 @@ luaA_client_gc(lua_State *L)
+ client_t *c = luaA_checkudata(L, 1, &client_class);
+ button_array_wipe(&c->buttons);
+ key_array_wipe(&c->keys);
+- xcb_get_wm_protocols_reply_wipe(&c->protocols);
++ xcb_icccm_get_wm_protocols_reply_wipe(&c->protocols);
+ p_delete(&c->machine);
+ p_delete(&c->class);
+ p_delete(&c->instance);
+@@ -94,21 +94,21 @@ client_set_urgent(lua_State *L, int cidx, bool urgent)
+ if(c->urgent != urgent)
+ {
+ xcb_get_property_cookie_t hints =
+- xcb_get_wm_hints_unchecked(globalconf.connection, c->window);
++ xcb_icccm_get_wm_hints_unchecked(globalconf.connection, c->window);
+
+ c->urgent = urgent;
+ ewmh_client_update_hints(c);
+
+ /* update ICCCM hints */
+- xcb_wm_hints_t wmh;
+- xcb_get_wm_hints_reply(globalconf.connection, hints, &wmh, NULL);
++ xcb_icccm_wm_hints_t wmh;
++ xcb_icccm_get_wm_hints_reply(globalconf.connection, hints, &wmh, NULL);
+
+ if(urgent)
+- wmh.flags |= XCB_WM_HINT_X_URGENCY;
++ wmh.flags |= XCB_ICCCM_WM_HINT_X_URGENCY;
+ else
+- wmh.flags &= ~XCB_WM_HINT_X_URGENCY;
++ wmh.flags &= ~XCB_ICCCM_WM_HINT_X_URGENCY;
+
+- xcb_set_wm_hints(globalconf.connection, c->window, &wmh);
++ xcb_icccm_set_wm_hints(globalconf.connection, c->window, &wmh);
+
+ hook_property(c, "urgent");
+ luaA_object_emit_signal(L, cidx, "property::urgent", 0);
+@@ -721,7 +721,7 @@ HANDLE_GEOM(height)
+ *
+ * At this stage it's just safer to keep it in normal state and avoid confusion.
+ */
+- window_state_set(c->window, XCB_WM_STATE_NORMAL);
++ window_state_set(c->window, XCB_ICCCM_WM_STATE_NORMAL);
+
+ if(!startup)
+ {
+@@ -767,14 +767,14 @@ client_geometry_hints(client_t *c, area_t geometry)
+ int32_t real_basew = 0, real_baseh = 0;
+
+ /* base size is substituted with min size if not specified */
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_SIZE)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_SIZE)
+ {
+ basew = c->size_hints.base_width;
+ baseh = c->size_hints.base_height;
+ real_basew = basew;
+ real_baseh = baseh;
+ }
+- else if(c->size_hints.flags & XCB_SIZE_HINT_P_MIN_SIZE)
++ else if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_MIN_SIZE)
+ {
+ basew = c->size_hints.min_width;
+ baseh = c->size_hints.min_height;
+@@ -783,12 +783,12 @@ client_geometry_hints(client_t *c, area_t geometry)
+ basew = baseh = 0;
+
+ /* min size is substituted with base size if not specified */
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_MIN_SIZE)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_MIN_SIZE)
+ {
+ minw = c->size_hints.min_width;
+ minh = c->size_hints.min_height;
+ }
+- else if(c->size_hints.flags & XCB_SIZE_HINT_P_SIZE)
++ else if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_SIZE)
+ {
+ minw = c->size_hints.base_width;
+ minh = c->size_hints.base_height;
+@@ -796,7 +796,7 @@ client_geometry_hints(client_t *c, area_t geometry)
+ else
+ minw = minh = 0;
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_ASPECT
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_ASPECT
+ && c->size_hints.min_aspect_den > 0
+ && c->size_hints.max_aspect_den > 0
+ && geometry.height - real_baseh > 0
+@@ -838,7 +838,7 @@ client_geometry_hints(client_t *c, area_t geometry)
+ if(minh)
+ geometry.height = MAX(geometry.height, minh);
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_MAX_SIZE)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_MAX_SIZE)
+ {
+ if(c->size_hints.max_width)
+ geometry.width = MIN(geometry.width, c->size_hints.max_width);
+@@ -846,7 +846,7 @@ client_geometry_hints(client_t *c, area_t geometry)
+ geometry.height = MIN(geometry.height, c->size_hints.max_height);
+ }
+
+- if(c->size_hints.flags & (XCB_SIZE_HINT_P_RESIZE_INC | XCB_SIZE_HINT_BASE_SIZE)
++ if(c->size_hints.flags & (XCB_ICCCM_SIZE_HINT_P_RESIZE_INC | XCB_ICCCM_SIZE_HINT_BASE_SIZE)
+ && c->size_hints.width_inc && c->size_hints.height_inc)
+ {
+ uint16_t t1 = geometry.width, t2 = geometry.height;
+@@ -969,9 +969,9 @@ client_set_minimized(lua_State *L, int cidx, bool s)
+ c->minimized = s;
+ banning_need_update((c)->screen);
+ if(s)
+- window_state_set(c->window, XCB_WM_STATE_ICONIC);
++ window_state_set(c->window, XCB_ICCCM_WM_STATE_ICONIC);
+ else
+- window_state_set(c->window, XCB_WM_STATE_NORMAL);
++ window_state_set(c->window, XCB_ICCCM_WM_STATE_NORMAL);
+ ewmh_client_update_hints(c);
+ if(strut_has_value(&c->strut))
+ screen_emit_signal(globalconf.L, c->screen, "property::workarea", 0);
+@@ -1333,7 +1333,7 @@ client_unmanage(client_t *c)
+
+ /* Do this last to avoid races with clients. According to ICCCM, clients
+ * arent allowed to re-use the window until after this. */
+- window_state_set(c->window, XCB_WM_STATE_WITHDRAWN);
++ window_state_set(c->window, XCB_ICCCM_WM_STATE_WITHDRAWN);
+
+ /* set client as invalid */
+ c->invalid = true;
+@@ -2052,9 +2052,9 @@ luaA_client_get_size_hints(lua_State *L, client_t *c)
+
+ lua_createtable(L, 0, 1);
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_US_POSITION)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_US_POSITION)
+ u_or_p = "user_position";
+- else if(c->size_hints.flags & XCB_SIZE_HINT_P_POSITION)
++ else if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_POSITION)
+ u_or_p = "program_position";
+
+ if(u_or_p)
+@@ -2068,9 +2068,9 @@ luaA_client_get_size_hints(lua_State *L, client_t *c)
+ u_or_p = NULL;
+ }
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_US_SIZE)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_US_SIZE)
+ u_or_p = "user_size";
+- else if(c->size_hints.flags & XCB_SIZE_HINT_P_SIZE)
++ else if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_SIZE)
+ u_or_p = "program_size";
+
+ if(u_or_p)
+@@ -2083,7 +2083,7 @@ luaA_client_get_size_hints(lua_State *L, client_t *c)
+ lua_setfield(L, -2, u_or_p);
+ }
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_MIN_SIZE)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_MIN_SIZE)
+ {
+ lua_pushnumber(L, c->size_hints.min_width);
+ lua_setfield(L, -2, "min_width");
+@@ -2091,7 +2091,7 @@ luaA_client_get_size_hints(lua_State *L, client_t *c)
+ lua_setfield(L, -2, "min_height");
+ }
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_MAX_SIZE)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_MAX_SIZE)
+ {
+ lua_pushnumber(L, c->size_hints.max_width);
+ lua_setfield(L, -2, "max_width");
+@@ -2099,7 +2099,7 @@ luaA_client_get_size_hints(lua_State *L, client_t *c)
+ lua_setfield(L, -2, "max_height");
+ }
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_RESIZE_INC)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_RESIZE_INC)
+ {
+ lua_pushnumber(L, c->size_hints.width_inc);
+ lua_setfield(L, -2, "width_inc");
+@@ -2107,7 +2107,7 @@ luaA_client_get_size_hints(lua_State *L, client_t *c)
+ lua_setfield(L, -2, "height_inc");
+ }
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_ASPECT)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_ASPECT)
+ {
+ lua_pushnumber(L, c->size_hints.min_aspect_num);
+ lua_setfield(L, -2, "min_aspect_num");
+@@ -2119,7 +2119,7 @@ luaA_client_get_size_hints(lua_State *L, client_t *c)
+ lua_setfield(L, -2, "max_aspect_den");
+ }
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_BASE_SIZE)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_BASE_SIZE)
+ {
+ lua_pushnumber(L, c->size_hints.base_width);
+ lua_setfield(L, -2, "base_width");
+@@ -2127,7 +2127,7 @@ luaA_client_get_size_hints(lua_State *L, client_t *c)
+ lua_setfield(L, -2, "base_height");
+ }
+
+- if(c->size_hints.flags & XCB_SIZE_HINT_P_WIN_GRAVITY)
++ if(c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_WIN_GRAVITY)
+ {
+ switch(c->size_hints.win_gravity)
+ {
+diff --git a/client.h b/client.h
+index d4ef52f..9674fac 100644
+--- a/client.h
++++ b/client.h
+@@ -123,7 +123,7 @@ struct client_t
+ /** Window holding command needed to start it (session management related) */
+ xcb_window_t leader_window;
+ /** Client's WM_PROTOCOLS property */
+- xcb_get_wm_protocols_reply_t protocols;
++ xcb_icccm_get_wm_protocols_reply_t protocols;
+ /** Client logical screen */
+ screen_t *screen;
+ /** Client physical screen */
+@@ -248,8 +248,8 @@ client_raise(client_t *c)
+ static inline bool
+ client_isfixed(client_t *c)
+ {
+- return (c->size_hints.flags & XCB_SIZE_HINT_P_MAX_SIZE
+- && c->size_hints.flags & XCB_SIZE_HINT_P_MIN_SIZE
++ return (c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_MAX_SIZE
++ && c->size_hints.flags & XCB_ICCCM_SIZE_HINT_P_MIN_SIZE
+ && c->size_hints.max_width == c->size_hints.min_width
+ && c->size_hints.max_height == c->size_hints.min_height
+ && c->size_hints.max_width
+diff --git a/common/xutil.c b/common/xutil.c
+index 3d80e8d..c5a2127 100644
+--- a/common/xutil.c
++++ b/common/xutil.c
+@@ -25,7 +25,6 @@
+ #include "common/util.h"
+
+ #include <xcb/xcb.h>
+-#include <xcb/xcb_atom.h>
+ #include <xcb/xcb_icccm.h>
+
+ #include "common/xutil.h"
+diff --git a/event.c b/event.c
+index 8527ec5..a35918b 100644
+--- a/event.c
++++ b/event.c
+@@ -721,7 +721,7 @@ event_handle_clientmessage(xcb_client_message_event_t *ev)
+ client_t *c;
+ if((c = client_getbywin(ev->window))
+ && ev->format == 32
+- && ev->data.data32[0] == XCB_WM_STATE_ICONIC)
++ && ev->data.data32[0] == XCB_ICCCM_WM_STATE_ICONIC)
+ {
+ luaA_object_push(globalconf.L, c);
+ client_set_minimized(globalconf.L, -1, true);
+@@ -795,13 +795,13 @@ static void
+ xerror(xcb_generic_error_t *e)
+ {
+ /* ignore this */
+- if(e->error_code == XCB_EVENT_ERROR_BAD_WINDOW
+- || (e->error_code == XCB_EVENT_ERROR_BAD_MATCH
++ if(e->error_code == XCB_WINDOW
++ || (e->error_code == XCB_MATCH
+ && e->major_code == XCB_SET_INPUT_FOCUS)
+- || (e->error_code == XCB_EVENT_ERROR_BAD_VALUE
++ || (e->error_code == XCB_VALUE
+ && e->major_code == XCB_KILL_CLIENT)
+ || (e->major_code == XCB_CONFIGURE_WINDOW
+- && e->error_code == XCB_EVENT_ERROR_BAD_MATCH))
++ && e->error_code == XCB_MATCH))
+ return;
+
+ warn("X error: request=%s, error=%s",
+diff --git a/ewmh.c b/ewmh.c
+index 0aa5de7..ba4776c 100644
+--- a/ewmh.c
++++ b/ewmh.c
+@@ -226,7 +226,7 @@ ewmh_update_net_active_window(int phys_screen)
+
+ xcb_change_property(globalconf.connection, XCB_PROP_MODE_REPLACE,
+ xutil_screen_get(globalconf.connection, phys_screen)->root,
+- _NET_ACTIVE_WINDOW, WINDOW, 32, 1, &win);
++ _NET_ACTIVE_WINDOW, XCB_ATOM_WINDOW, 32, 1, &win);
+ }
+
+ static void
+@@ -425,7 +425,7 @@ ewmh_client_update_hints(client_t *c)
+ state[i++] = _NET_WM_STATE_DEMANDS_ATTENTION;
+
+ xcb_change_property(globalconf.connection, XCB_PROP_MODE_REPLACE,
+- c->window, _NET_WM_STATE, ATOM, 32, i, state);
++ c->window, _NET_WM_STATE, XCB_ATOM_ATOM, 32, i, state);
+ }
+
+ /** Update the client active desktop.
+diff --git a/property.c b/property.c
+index d5090c6..d2223ef 100644
+--- a/property.c
++++ b/property.c
+@@ -105,14 +105,14 @@ property_update_wm_transient_for(client_t *c, xcb_get_property_reply_t *reply)
+
+ if(reply)
+ {
+- if(!xcb_get_wm_transient_for_from_reply(&trans, reply))
++ if(!xcb_icccm_get_wm_transient_for_from_reply(&trans, reply))
+ return;
+ }
+ else
+ {
+- if(!xcb_get_wm_transient_for_reply(globalconf.connection,
+- xcb_get_wm_transient_for_unchecked(globalconf.connection,
+- c->window),
++ if(!xcb_icccm_get_wm_transient_for_reply(globalconf.connection,
++ xcb_icccm_get_wm_transient_for_unchecked(globalconf.connection,
++ c->window),
+ &trans, NULL))
+ return;
+ }
+@@ -160,15 +160,15 @@ property_update_wm_normal_hints(client_t *c, xcb_get_property_reply_t *reply)
+ {
+ if(reply)
+ {
+- if(!xcb_get_wm_size_hints_from_reply(&c->size_hints, reply))
++ if(!xcb_icccm_get_wm_size_hints_from_reply(&c->size_hints, reply))
+ return;
+ }
+ else
+ {
+- if(!xcb_get_wm_normal_hints_reply(globalconf.connection,
+- xcb_get_wm_normal_hints_unchecked(globalconf.connection,
+- c->window),
+- &c->size_hints, NULL))
++ if(!xcb_icccm_get_wm_normal_hints_reply(globalconf.connection,
++ xcb_icccm_get_wm_normal_hints_unchecked(globalconf.connection,
++ c->window),
++ &c->size_hints, NULL))
+ return;
+ }
+ }
+@@ -180,31 +180,31 @@ property_update_wm_normal_hints(client_t *c, xcb_get_property_reply_t *reply)
+ void
+ property_update_wm_hints(client_t *c, xcb_get_property_reply_t *reply)
+ {
+- xcb_wm_hints_t wmh;
++ xcb_icccm_wm_hints_t wmh;
+
+ if(reply)
+ {
+- if(!xcb_get_wm_hints_from_reply(&wmh, reply))
++ if(!xcb_icccm_get_wm_hints_from_reply(&wmh, reply))
+ return;
+ }
+ else
+ {
+- if(!xcb_get_wm_hints_reply(globalconf.connection,
+- xcb_get_wm_hints_unchecked(globalconf.connection, c->window),
+- &wmh, NULL))
++ if(!xcb_icccm_get_wm_hints_reply(globalconf.connection,
++ xcb_icccm_get_wm_hints_unchecked(globalconf.connection, c->window),
++ &wmh, NULL))
+ return;
+ }
+
+ luaA_object_push(globalconf.L, c);
+- client_set_urgent(globalconf.L, -1, xcb_wm_hints_get_urgency(&wmh));
+- if(wmh.flags & XCB_WM_HINT_STATE &&
+- wmh.initial_state == XCB_WM_STATE_WITHDRAWN)
++ client_set_urgent(globalconf.L, -1, xcb_icccm_wm_hints_get_urgency(&wmh));
++ if(wmh.flags & XCB_ICCCM_WM_HINT_STATE &&
++ wmh.initial_state == XCB_ICCCM_WM_STATE_WITHDRAWN)
+ client_set_border_width(globalconf.L, -1, 0);
+
+- if(wmh.flags & XCB_WM_HINT_INPUT)
++ if(wmh.flags & XCB_ICCCM_WM_HINT_INPUT)
+ c->nofocus = !wmh.input;
+
+- if(wmh.flags & XCB_WM_HINT_WINDOW_GROUP)
++ if(wmh.flags & XCB_ICCCM_WM_HINT_WINDOW_GROUP)
+ client_set_group_window(globalconf.L, -1, wmh.window_group);
+
+ lua_pop(globalconf.L, 1);
+@@ -217,18 +217,18 @@ property_update_wm_hints(client_t *c, xcb_get_property_reply_t *reply)
+ void
+ property_update_wm_class(client_t *c, xcb_get_property_reply_t *reply)
+ {
+- xcb_get_wm_class_reply_t hint;
++ xcb_icccm_get_wm_class_reply_t hint;
+
+ if(reply)
+ {
+- if(!xcb_get_wm_class_from_reply(&hint, reply))
++ if(!xcb_icccm_get_wm_class_from_reply(&hint, reply))
+ return;
+ }
+ else
+ {
+- if(!xcb_get_wm_class_reply(globalconf.connection,
+- xcb_get_wm_class_unchecked(globalconf.connection, c->window),
+- &hint, NULL))
++ if(!xcb_icccm_get_wm_class_reply(globalconf.connection,
++ xcb_icccm_get_wm_class_unchecked(globalconf.connection, c->window),
++ &hint, NULL))
+ return;
+ }
+
+@@ -238,7 +238,7 @@ property_update_wm_class(client_t *c, xcb_get_property_reply_t *reply)
+
+ /* only delete reply if we get it ourselves */
+ if(!reply)
+- xcb_get_wm_class_reply_wipe(&hint);
++ xcb_icccm_get_wm_class_reply_wipe(&hint);
+ }
+
+ static int
+@@ -308,30 +308,30 @@ property_update_net_wm_pid(client_t *c,
+ void
+ property_update_wm_protocols(client_t *c, xcb_get_property_reply_t *reply)
+ {
+- xcb_get_wm_protocols_reply_t protocols;
++ xcb_icccm_get_wm_protocols_reply_t protocols;
+ xcb_get_property_reply_t *reply_copy;
+
+ if(reply)
+ {
+ reply_copy = p_dup(reply, 1);
+
+- if(!xcb_get_wm_protocols_from_reply(reply_copy, &protocols))
+- {
++ if(!xcb_icccm_get_wm_protocols_from_reply(reply_copy, &protocols))
++ {
+ p_delete(&reply_copy);
+ return;
+- }
++ }
+ }
+ else
+ {
+ /* If this fails for any reason, we still got the old value */
+- if(!xcb_get_wm_protocols_reply(globalconf.connection,
+- xcb_get_wm_protocols_unchecked(globalconf.connection,
+- c->window, WM_PROTOCOLS),
+- &protocols, NULL))
++ if(!xcb_icccm_get_wm_protocols_reply(globalconf.connection,
++ xcb_icccm_get_wm_protocols_unchecked(globalconf.connection,
++ c->window, WM_PROTOCOLS),
++ &protocols, NULL))
+ return;
+ }
+
+- xcb_get_wm_protocols_reply_wipe(&c->protocols);
++ xcb_icccm_get_wm_protocols_reply_wipe(&c->protocols);
+ memcpy(&c->protocols, &protocols, sizeof(protocols));
+ }
+
+diff --git a/selection.c b/selection.c
+index 527ec40..44b57c5 100644
+--- a/selection.c
++++ b/selection.c
+@@ -86,18 +86,18 @@ luaA_selection_get(lua_State *L)
+ if(event_notify->selection == XCB_ATOM_PRIMARY
+ && event_notify->property != XCB_NONE)
+ {
+- xcb_get_text_property_reply_t prop;
++ xcb_icccm_get_text_property_reply_t prop;
+ xcb_get_property_cookie_t cookie =
+- xcb_get_text_property(globalconf.connection,
+- event_notify->requestor,
+- event_notify->property);
++ xcb_icccm_get_text_property(globalconf.connection,
++ event_notify->requestor,
++ event_notify->property);
+
+- if(xcb_get_text_property_reply(globalconf.connection,
+- cookie, &prop, NULL))
++ if(xcb_icccm_get_text_property_reply(globalconf.connection,
++ cookie, &prop, NULL))
+ {
+ lua_pushlstring(L, prop.name, prop.name_len);
+
+- xcb_get_text_property_reply_wipe(&prop);
++ xcb_icccm_get_text_property_reply_wipe(&prop);
+
+ xcb_delete_property(globalconf.connection,
+ event_notify->requestor,
+diff --git a/systray.c b/systray.c
+index 6ea3dd5..92b7d39 100644
+--- a/systray.c
++++ b/systray.c
+@@ -197,7 +197,7 @@ systray_request_handle(xcb_window_t embed_win, int phys_screen, xembed_info_t *i
+
+ xcb_change_window_attributes(globalconf.connection, embed_win, XCB_CW_EVENT_MASK,
+ select_input_val);
+- window_state_set(embed_win, XCB_WM_STATE_WITHDRAWN);
++ window_state_set(embed_win, XCB_ICCCM_WM_STATE_WITHDRAWN);
+
+ /* we grab the window, but also make sure it's automatically reparented back
+ * to the root window if we should die.
+diff --git a/window.c b/window.c
+index b86fa38..6a1909f 100644
+--- a/window.c
++++ b/window.c
+@@ -60,7 +60,7 @@ uint32_t
+ window_state_get_reply(xcb_get_property_cookie_t cookie)
+ {
+ /* If no property is set, we just assume a sane default. */
+- uint32_t result = XCB_WM_STATE_NORMAL;
++ uint32_t result = XCB_ICCCM_WM_STATE_NORMAL;
+ xcb_get_property_reply_t *prop_r;
+
+ if((prop_r = xcb_get_property_reply(globalconf.connection, cookie, NULL)))
+@@ -187,7 +187,7 @@ window_opacity_set(xcb_window_t win, double opacity)
+ {
+ uint32_t real_opacity = opacity * 0xffffffff;
+ xcb_change_property(globalconf.connection, XCB_PROP_MODE_REPLACE, win,
+- _NET_WM_WINDOW_OPACITY, CARDINAL, 32, 1L, &real_opacity);
++ _NET_WM_WINDOW_OPACITY, XCB_ATOM_CARDINAL, 32, 1L, &real_opacity);
+ }
+ else
+ xcb_delete_property(globalconf.connection, win, _NET_WM_WINDOW_OPACITY);
+--
+1.7.4.4
+
diff --git a/testing/awesome/APKBUILD b/testing/awesome/APKBUILD
index 43531bf08d..7a1bb05aba 100644
--- a/testing/awesome/APKBUILD
+++ b/testing/awesome/APKBUILD
@@ -1,18 +1,20 @@
# Contributor: William Pitcock <nenolod@dereferenced.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=awesome
-pkgver=3.4.9
-pkgrel=1
+pkgver=3.4.10
+pkgrel=0
pkgdesc="lua-configurable window manager framework"
url="http://awesome.naquadah.org/"
arch="all"
license="GPL"
depends="imagemagick"
-makedepends="lua-dev libxcb-dev pango-dev cairo-dev cmake gperf glib-dev imlib2-dev libxdg-basedir-dev libev-dev startup-notification-dev"
+makedepends="lua-dev libxcb-dev pango-dev cairo-dev cmake gperf glib-dev
+ imlib2-dev libxdg-basedir-dev libev-dev startup-notification-dev
+ xcb-util-keysyms-dev xcb-util-image-dev xcb-util-dev xcb-util-wm-dev"
install=""
subpackages="$pkgname-doc"
source="http://awesome.naquadah.org/download/${pkgname}-${pkgver}.tar.bz2
- cmake.patch
+ 0001-Update-the-code-following-release-of-xcb-util-0.3.8.patch
"
_srcdir="${srcdir}/${pkgname}-${pkgver}"
@@ -39,5 +41,5 @@ package() {
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="a3e8f22fb4d17dd1cda90b354be84d6f awesome-3.4.9.tar.bz2
-3382b552d0519c8637c86b2e61f1e052 cmake.patch"
+md5sums="245087f8065867eff37a2133287d5c03 awesome-3.4.10.tar.bz2
+354637fd9dafa0500fef3f01a0e73d8a 0001-Update-the-code-following-release-of-xcb-util-0.3.8.patch"
diff --git a/testing/awesome/cmake.patch b/testing/awesome/cmake.patch
deleted file mode 100644
index c2762374ed..0000000000
--- a/testing/awesome/cmake.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-commit 8b6adbffead83c9d77c493174d0f5b6a97f2a9e9
-Author: Thomas Moschny <thomas.moschny@gmx.de>
-Date: Mon Feb 21 17:58:04 2011 +0100
-
- Normalize icon path names (fixes #869).
-
- The elements in ${icon_sources}, as returned by file(GLOB ...) contain
- double slashes, could be a bug in cmake. This causes building with
- cmake 2.8.4 to fail, due to dependency problems lateron.
-
- This patch works around the issue by normalizing all path names in
- ${icon_sources} while appending them to ${ALL_ICONS}, thereby removing
- the double slashes.
-
- Signed-off-by: Uli Schlachter <psychon@znc.in>
-
-diff --git a/CMakeLists.txt b/CMakeLists.txt
-index 64be9b9..472bec2 100644
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -244,14 +244,15 @@ endif()
-
- # {{{ Theme icons
- file(GLOB icon_sources RELATIVE ${SOURCE_DIR} ${SOURCE_DIR}/themes/*/titlebar/*.png)
--set(ALL_ICONS ${icon_sources})
-
- foreach(icon ${icon_sources})
- # Copy all icons to the build dir to simplify the following code.
- # Source paths are interpreted relative to ${SOURCE_DIR}, target paths
- # relative to ${BUILD_DIR}.
- get_filename_component(icon_path ${icon} PATH)
-+ get_filename_component(icon_name ${icon} NAME)
- file(COPY ${icon} DESTINATION ${icon_path})
-+ set(ALL_ICONS ${ALL_ICONS} "${icon_path}/${icon_name}")
- endforeach()
-
- macro(a_icon_convert match replacement input)
diff --git a/testing/ddrescue/APKBUILD b/testing/ddrescue/APKBUILD
new file mode 100644
index 0000000000..bc85d650e0
--- /dev/null
+++ b/testing/ddrescue/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=ddrescue
+pkgver=1.12
+pkgrel=0
+pkgdesc="Data recovery tool for block devices with errors"
+url="http://www.gnu.org/s/ddrescue/ddrescue.html"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ return 0
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="b3d8a9a9098b87939fba05a45848bd8d ddrescue-1.12.tar.gz"
diff --git a/testing/gnash/APKBUILD b/testing/gnash/APKBUILD
index f8f0d12228..06f7cc6941 100644
--- a/testing/gnash/APKBUILD
+++ b/testing/gnash/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=gnash
pkgver=0.8.9
-pkgrel=4
+pkgrel=5
pkgdesc="GNU flash player implementation"
url="http://www.gnashdev.org/"
arch="all"
diff --git a/testing/hydrogen/APKBUILD b/testing/hydrogen/APKBUILD
new file mode 100644
index 0000000000..db4ea7708a
--- /dev/null
+++ b/testing/hydrogen/APKBUILD
@@ -0,0 +1,53 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=hydrogen
+pkgver=0.9.5
+pkgrel=1
+pkgdesc="Advanced drum machine for GNU/Linux"
+url="http://www.hydrogen-music.org/"
+arch="all"
+license="GPLv2+"
+depends=""
+makedepends="qt-dev alsa-lib-dev flac-dev libsndfile-dev scons portaudio-dev
+ libarchive-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/hydrogen/hydrogen-$pkgver.tar.gz
+ hydrogen-docdir.patch"
+
+_builddir="$srcdir"/hydrogen-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ patch -p0 -i patches/portaudio.patch || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export QTDIR=/usr/lib
+ scons -j${JOBS:-2} \
+ prefix=/usr \
+ jack=0 \
+ portaudio=1 \
+ libarchive=1 \
+ portmidi=0 \
+ lash=0 \
+ lrdf=0 \
+ oss=0 \
+ optflags="$CFLAGS" \
+ || return 1
+}
+
+package() {
+ cd "$_builddir"
+ export QTDIR=/usr/lib
+ scons -j ${JOBS:-2} install DESTDIR="$pkgdir" || return 1
+}
+
+md5sums="e96f291d60e58f5d62fe616cee577dc0 hydrogen-0.9.5.tar.gz
+0d9552ee114f57df67d677263816ec78 hydrogen-docdir.patch"
diff --git a/testing/hydrogen/hydrogen-docdir.patch b/testing/hydrogen/hydrogen-docdir.patch
new file mode 100644
index 0000000000..71c6a6d86c
--- /dev/null
+++ b/testing/hydrogen/hydrogen-docdir.patch
@@ -0,0 +1,11 @@
+--- ./Sconstruct.orig
++++ ./Sconstruct
+@@ -309,7 +309,7 @@
+ env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/hydrogen/data', source="./data/hydrogen.default.conf"))
+ env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/hydrogen/data', source="./data/emptySample.wav"))
+ env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/hydrogen/data', source="./data/click.wav"))
+- env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/hydrogen/data', source="./data/doc"))
++ env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/doc/hydrogen', source="./data/doc"))
+ env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/hydrogen/data', source="./data/DefaultSong.h2song"))
+ env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/bin/', source="./hydrogen"))
+ env.Alias(target="install", source=env.Install(dir= env['DESTDIR'] + env['prefix'] + '/share/applications', source="./hydrogen.desktop"))
diff --git a/testing/jwm/APKBUILD b/testing/jwm/APKBUILD
new file mode 100644
index 0000000000..7ccb28c088
--- /dev/null
+++ b/testing/jwm/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Jeff Pohlmeyer <yetanothergeek@gmail.com>
+# Maintainer: Jeff Pohlmeyer <yetanothergeek@gmail.com>
+
+pkgname=jwm
+pkgver=501
+pkgrel=1
+pkgdesc="A lightweight window manager for the X11 Window System"
+url="http://joewing.net/programs/jwm/"
+arch="all"
+license="GPL"
+depends=
+depends_dev="libx11-dev libxext-dev libxft-dev libxmu-dev libxinerama-dev
+ libxpm-dev libxrender-dev jpeg-dev libpng-dev"
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="http://joewing.net/programs/jwm/snapshots/$pkgname-$pkgver.tar.bz2"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --enable-confirm \
+ --enable-icons \
+ --enable-png \
+ --enable-jpeg \
+ --enable-xpm \
+ --enable-xft \
+ --enable-xrender \
+ --enable-shape \
+ --enable-xmu \
+ --enable-xinerama \
+ --disable-fribidi \
+ --disable-debug || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make \
+ BINDIR="$pkgdir/usr/bin" \
+ MANDIR="$pkgdir/usr/share/man" \
+ SYSCONF="$pkgdir/etc" install || return 1
+}
+
+md5sums="19f05789750674b10007c58264e6c688 jwm-501.tar.bz2"
diff --git a/testing/lua-curses/APKBUILD b/testing/lua-curses/APKBUILD
new file mode 100644
index 0000000000..32173a214c
--- /dev/null
+++ b/testing/lua-curses/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=lua-curses
+pkgver=7
+pkgrel=0
+pkgdesc="ncurses binding for Lua"
+url="http://luaforge.net/projects/lcurses"
+arch="all"
+license="BSD"
+depends=""
+makedepends="lua-dev ncurses-dev"
+install=""
+subpackages=
+source="http://luaforge.net/frs/download.php/4843/lcurses-$pkgver.tar.gz"
+
+_builddir="$srcdir"/lcurses-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/lua/*/*.*a
+}
+
+md5sums="5268b69548f113fa8205fd9dd86b89b3 lcurses-7.tar.gz"
diff --git a/testing/lxterminal/APKBUILD b/testing/lxterminal/APKBUILD
new file mode 100644
index 0000000000..a07a8cc411
--- /dev/null
+++ b/testing/lxterminal/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=lxterminal
+pkgver=0.1.11
+pkgrel=0
+pkgdesc="Desktop-independent VTE-based terminal emulator"
+url="http://lxde.sourceforge.net/"
+arch="all"
+license="GPLv2+"
+depends=""
+makedepends="vte-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/lxde/lxterminal-$pkgver.tar.gz"
+
+_builddir="$srcdir"/lxterminal-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="fd9140b45c0f28d021253c4aeb8c4aea lxterminal-0.1.11.tar.gz"
diff --git a/testing/ngrep/APKBUILD b/testing/ngrep/APKBUILD
deleted file mode 100644
index 67d6253d1e..0000000000
--- a/testing/ngrep/APKBUILD
+++ /dev/null
@@ -1,29 +0,0 @@
-# Contributor: Francesco Colista <francesco.colista@gmail.com>
-# Maintainer: Francesco Colista <francesco.colista@gmail.com>
-pkgname=ngrep
-pkgver=1.45
-pkgrel=0
-pkgdesc="A grep-like utility that allows you to search for network packets on an interface"
-url="http://ngrep.sourceforge.net/"
-arch="all"
-license="custom"
-depends=
-depends_dev="libpcap-dev"
-makedepends="$depends_dev"
-install=""
-subpackages=""
-source="http://downloads.sourceforge.net/sourceforge/ngrep/$pkgname-$pkgver.tar.bz2"
-_builddir="$srcdir"/$pkgname-$pkgver
-build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --with-pcap-includes=/usr/include/pcap
- make || return 1
-}
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="bc8150331601f3b869549c94866b4f1c ngrep-1.45.tar.bz2"
diff --git a/testing/ntfsprogs/APKBUILD b/testing/ntfsprogs/APKBUILD
new file mode 100644
index 0000000000..df79553ebe
--- /dev/null
+++ b/testing/ntfsprogs/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=ntfsprogs
+pkgver=2.0.0
+pkgrel=0
+pkgdesc="User space utilities for NTFS partitions"
+url="http://sourceforge.net/projects/linux-ntfs/"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/project/linux-ntfs/NTFS%20Tools%20and%20Library/2.0.0/$pkgname-$pkgver.tar.gz"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ return 0
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ find $pkgdir -iname *.la -delete
+}
+
+md5sums="2c402b647bb7aeb1d3f8ce1cc354fd68 ntfsprogs-2.0.0.tar.gz"
diff --git a/testing/partclone/APKBUILD b/testing/partclone/APKBUILD
index 5855d2b09d..e5a3813524 100644
--- a/testing/partclone/APKBUILD
+++ b/testing/partclone/APKBUILD
@@ -1,13 +1,14 @@
+# Contributor: Leonardo Arena <rnarld@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=partclone
pkgver=0.2.24
-pkgrel=0
+pkgrel=1
pkgdesc="Partition cloning tool"
url="http://partclone.org/"
arch="all"
license="GPL"
depends=
-makedepends="e2fsprogs-dev ncurses-dev"
+makedepends="e2fsprogs-dev ncurses-dev ntfsprogs-dev"
install=""
subpackages="$pkgname-doc"
source="http://downloads.sourceforge.net/project/partclone/testing/src/partclone-$pkgver.tar.gz
@@ -15,7 +16,6 @@ source="http://downloads.sourceforge.net/project/partclone/testing/src/partclone
# TODO:
# libreiserfs: http://reiserfs.linux.kiev.ua
-# ntfsprogs: http://download.sf.net/linux-ntfs/%{name}-%{version}.tar.bz2
#
_builddir="$srcdir"/partclone-$pkgver
@@ -52,6 +52,7 @@ build() {
--localstatedir=/var \
--enable-extfs \
--enable-fat \
+ --enable-ntfs \
--enable-ncursesw \
--disable-nls \
|| return 1
diff --git a/testing/pastebinc/APKBUILD b/testing/pastebinc/APKBUILD
index d40962f0b7..65eaddbc9c 100644
--- a/testing/pastebinc/APKBUILD
+++ b/testing/pastebinc/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Jeremy Thomerson <jeremy@thomersonfamily.com>
# Maintainer: Jeremy Thomerson <jeremy@thomersonfamily.com>
pkgname=pastebinc
-pkgver=0.9
+pkgver=0.9.1
pkgrel=0
pkgdesc="utility to pipe data into a paste on pastebin.com or a similar site"
url="https://github.com/jthomerson/pastebinc"
@@ -12,8 +12,8 @@ depends_dev=
makedepends="wget glib-dev curl-dev"
install=""
subpackages=""
-source="saveas-https://github.com/jthomerson/pastebinc/tarball/RELEASE_0.9-BETA/$pkgname-$pkgver-$pkgrel.tar.gz"
-_builddir="$srcdir/jthomerson-pastebinc-8dbb86b"
+source="saveas-https://github.com/jthomerson/pastebinc/tarball/RELEASE_0.9.1/$pkgname-$pkgver-$pkgrel.tar.gz"
+_builddir="$srcdir/jthomerson-pastebinc-e16f22d"
makeparams="VERSION=$pkgver-$pkgrel CONFDIR=/etc/pastebinc"
@@ -38,4 +38,4 @@ package() {
make $makeparams DESTDIR="$pkgdir" install || return 1
}
-md5sums="a1620a9d04ecb79f42ede3768987567a pastebinc-0.9-0.tar.gz"
+md5sums="68a1c51b2fa39ecb6fd29a14f2e9f591 pastebinc-0.9.1-0.tar.gz"
diff --git a/testing/postfixadmin/APKBUILD b/testing/postfixadmin/APKBUILD
new file mode 100644
index 0000000000..8043f1a0d5
--- /dev/null
+++ b/testing/postfixadmin/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=postfixadmin
+pkgver=2.3.3
+pkgrel=0
+pkgdesc="Web Based Management tool for Postfix"
+url="http://postfixadmin.com/"
+arch="noarch"
+license="GPL"
+depends="php postfix"
+makedepends=""
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/project/postfixadmin/postfixadmin/postfixadmin-$pkgver/postfixadmin-$pkgver.tar.gz"
+
+_builddir="$srcdir"/postfixadmin-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/share/webapps/postfixadmin \
+ "$pkgdir"/etc/postfixadmin
+ cp -r * "$pkgdir"/usr/share/webapps/postfixadmin/
+
+ # move config to /etc/postfixadmin and create symlink
+ mv "$pkgdir"/usr/share/webapps/postfixadmin/config.inc.php \
+ "$pkgdir"/etc/postfixadmin/
+ ln -s /etc/postfixadmin/config.inc.php \
+ "$pkgdir"/usr/share/webapps/postfixadmin/config.inc.php
+}
+
+md5sums="0dfcd8a4535e00aced45c82dbcedf859 postfixadmin-2.3.3.tar.gz"
diff --git a/testing/squid/APKBUILD b/testing/squid/APKBUILD
new file mode 100644
index 0000000000..e7b887944c
--- /dev/null
+++ b/testing/squid/APKBUILD
@@ -0,0 +1,285 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=squid
+pkgver=3.2.0.11
+pkgrel=0
+pkgdesc="A full-featured Web proxy cache server."
+url="http://www.squid-cache.org"
+install="squid.pre-install squid.pre-upgrade squid.post-install"
+pkgusers="squid"
+pkggroups="squid"
+arch="all"
+license="GPL-2"
+depends="logrotate"
+makedepends="openssl-dev perl-dev autoconf automake heimdal-dev libtool
+ libcap-dev"
+subpackages="$pkgname-doc"
+linguas="af ar az bg ca cs da de el es et fa fi fr he hu hy id it ja ko lt
+ lv ms nl oc pl pt ro ru sk sl sr sv th tr uk uz vi zh"
+langdir="/usr/share/squid/errors"
+
+source="http://www.squid-cache.org/Versions/v3/3.2/squid-$pkgver.tar.bz2
+ squid.initd
+ squid.confd
+ $pkgname.logrotate
+ "
+
+pkgusers="squid"
+pkggroups="squid"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+# ./bootstrap.sh
+}
+
+build() {
+ cd "$_builddir"
+
+ ./configure --prefix=/usr \
+ --datadir=/usr/share/squid \
+ --sysconfdir=/etc/squid \
+ --libexecdir=/usr/lib/squid \
+ --localstatedir=/var \
+ --disable-strict-error-checking \
+ --enable-removal-policies="lru,heap" \
+ --enable-digest-auth-helpers="password" \
+ --enable-basic-auth-helpers="getpwnam,NCSA,SMB,MSNT,multi-domain-NTLM,squid_radius_auth" \
+ --enable-epoll \
+ --enable-external-acl-helpers="ip_user,unix_group,wbinfo_group" \
+ --enable-ntlm-auth-helpers="fakeauth,no_check,smb_lm" \
+ --enable-negotiate-auth-helpers="squid_kerb_auth" \
+ --disable-mit \
+ --enable-heimdal \
+ --enable-delay-pools \
+ --enable-arp-acl \
+ --enable-ssl \
+ --enable-linux-netfilter \
+ --enable-ident-lookups \
+ --enable-useragent-log \
+ --enable-cache-digests \
+ --enable-referer-log \
+ --enable-async-io \
+ --enable-truncate \
+ --enable-arp-acl \
+ --enable-htcp \
+ --enable-carp \
+ --enable-poll --with-maxfd=4096 \
+ --enable-follow-x-forwarded-for \
+ --with-large-files \
+ || return 1
+
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.logrotate \
+ "$pkgdir"/etc/logrotate.d/squid
+
+ install -d -o squid -g squid \
+ "$pkgdir"/var/cache/squid \
+ "$pkgdir"/var/log/squid \
+ "$pkgdir"/var/run/squid
+ chmod +x "$pkgdir"/usr/lib/squid/*
+}
+
+squid_kerb_auth() {
+ pkgdesc="Squid kerberos authetication helper"
+ install -d "$subpkgdir"/usr/lib/squid
+ mv "$pkgdir"/usr/lib/squid/squid_kerb_auth "$subpkgdir"/usr/lib/squid/
+}
+
+_mv_error() {
+ local d=usr/share/squid/errors
+ mkdir -p "$subpkgdir/$d"
+ mv "$pkgdir/$d/${1}" "$subpkgdir/$d/" || return 1
+ # last one removed the dir
+ rmdir "$pkgdir/$d" 2>/dev/null
+ return 0
+}
+
+errors_armenian() {
+ depends="$pkgname"
+ _mv_error Armenian
+}
+
+errors_azerbaijani() {
+ depends="$pkgname"
+ _mv_error Azerbaijani
+}
+
+errors_bulgarian() {
+ depends="$pkgname"
+ _mv_error Bulgarian
+}
+
+errors_catalan() {
+ depends="$pkgname"
+ _mv_error Catalan
+}
+
+errors_czech() {
+ depends="$pkgname"
+ _mv_error Czech
+}
+
+errors_danish() {
+ depends="$pkgname"
+ _mv_error Danish
+}
+
+errors_dutch() {
+ depends="$pkgname"
+ _mv_error Dutch
+}
+
+errors_english() {
+ depends=
+ _mv_error English
+}
+
+errors_estonian() {
+ depends="$pkgname"
+ _mv_error Estonian
+}
+
+errors_finnish() {
+ depends="$pkgname"
+ _mv_error Finnish
+}
+
+errors_french() {
+ depends="$pkgname"
+ _mv_error French
+}
+
+errors_german() {
+ depends="$pkgname"
+ _mv_error German
+}
+
+errors_greek() {
+ depends="$pkgname"
+ _mv_error Greek
+}
+
+errors_hebrew() {
+ depends="$pkgname"
+ _mv_error Hebrew
+}
+
+errors_hungarian() {
+ depends="$pkgname"
+ _mv_error Hungarian
+}
+
+errors_italian() {
+ depends="$pkgname"
+ _mv_error Italian
+}
+
+errors_japanese() {
+ depends="$pkgname"
+ _mv_error Japanese
+}
+
+errors_korean() {
+ depends="$pkgname"
+ _mv_error Korean
+}
+
+errors_lithuanian() {
+ depends="$pkgname"
+ _mv_error Lithuanian
+}
+
+errors_polish() {
+ depends="$pkgname"
+ _mv_error Polish
+}
+
+errors_portuguese() {
+ depends="$pkgname"
+ _mv_error Portuguese
+}
+
+errors_romanian() {
+ depends="$pkgname"
+ _mv_error Romanian
+}
+
+errors_russian_1251() {
+ depends="$pkgname"
+ _mv_error Russian-1251
+}
+
+errors_russian_koi8_r() {
+ depends="$pkgname"
+ _mv_error Russian-koi8-r
+}
+
+errors_serbian() {
+ depends="$pkgname"
+ _mv_error Serbian
+}
+
+errors_simplify_chinese() {
+ depends="$pkgname"
+ _mv_error Simplify_Chinese
+}
+
+errors_slovak() {
+ depends="$pkgname"
+ _mv_error Slovak
+}
+
+errors_spanish() {
+ depends="$pkgname"
+ _mv_error Spanish
+}
+
+errors_swedish() {
+ depends="$pkgname"
+ _mv_error Swedish
+}
+
+errors_traditional_chinese() {
+ depends="$pkgname"
+ _mv_error Traditional_Chinese
+}
+
+errors_turkish() {
+ depends="$pkgname"
+ _mv_error Turkish
+}
+
+errors_ukrainian_1251() {
+ depends="$pkgname"
+ _mv_error Ukrainian-1251
+}
+
+errors_ukrainian_koi8_u() {
+ depends="$pkgname"
+ _mv_error Ukrainian-koi8-u
+}
+
+errors_ukrainian_utf8() {
+ depends="$pkgname"
+ _mv_error Ukrainian-utf8
+}
+
+
+md5sums="51d8434bb2f036d993d6b3ddb047afd7 squid-3.2.0.11.tar.bz2
+57fed05adc40acab6a5480ec7a014154 squid.initd
+44b052db7910f386ef88ddcf69c9ba4e squid.confd
+58823e0b86bc2dc71d270208b7b284b4 squid.logrotate"
diff --git a/testing/squid/squid.confd b/testing/squid/squid.confd
new file mode 100644
index 0000000000..14a9ee84bd
--- /dev/null
+++ b/testing/squid/squid.confd
@@ -0,0 +1,15 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/net-proxy/squid/files/squid.confd,v 1.2 2008/11/30 19:20:44 mrness Exp $
+
+# Config file for /etc/init.d/squid
+
+SQUID_OPTS="-DYC"
+
+# Max. number of filedescriptors to use. You can increase this on a busy
+# cache to a maximum of (currently) 8192 filedescriptors. Default is 1024.
+SQUID_MAXFD=1024
+
+# Kerberos keytab file to use. This is required if you enable kerberos authentication.
+SQUID_KEYTAB=""
+
diff --git a/testing/squid/squid.initd b/testing/squid/squid.initd
new file mode 100644
index 0000000000..2eaf1dd2af
--- /dev/null
+++ b/testing/squid/squid.initd
@@ -0,0 +1,115 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/net-proxy/squid/files/squid.initd,v 1.10 2008/11/30 19:20:44 mrness Exp $
+
+opts="${opts} reload rotate"
+
+conf=/etc/squid/squid.conf
+
+depend() {
+ need net
+ after firewall
+}
+
+# Try to increase the # of filedescriptors we can open.
+maxfds() {
+ [ -n "$SQUID_MAXFD" ] || return
+ [ -f /proc/sys/fs/file-max ] || return 0
+ [ $SQUID_MAXFD -le 8192 ] || SQUID_MAXFD=8192
+ local global_file_max=`cat /proc/sys/fs/file-max`
+ local minimal_file_max=$(($SQUID_MAXFD + 4096))
+ if [ "$global_file_max" -lt $minimal_file_max ]; then
+ echo $minimal_file_max > /proc/sys/fs/file-max
+ fi
+ ulimit -n $SQUID_MAXFD
+}
+
+checkconfig() {
+ maxfds
+
+ local CACHE_SWAP=$(awk '/^[ \t]*cache_dir[ \t]+/ { if ($2 == "coss" ) printf "%s/stripe ", $3 ; else printf "%s/00 ", $3; }' < $conf)
+ [ -z "$CACHE_SWAP" ] && CACHE_SWAP="/var/cache/squid/00"
+
+ local x
+ for x in $CACHE_SWAP ; do
+ if [ ! -e $x ] ; then
+ ebegin "Initializing cache directories"
+ local ORIG_UMASK=$(umask)
+ umask 027
+ local INIT_CACHE_RESPONSE="$(/usr/sbin/squid -z -N -D 2>&1)"
+ if [ $? != 0 ] || echo "$INIT_CACHE_RESPONSE" | grep -q "erminated abnormally" ; then
+ umask $ORIG_UMASK
+ eend 1
+ echo "$INIT_CACHE_RESPONSE"
+ return 1
+ fi
+ umask $ORIG_UMASK
+ eend 0
+ break
+ fi
+ done
+
+ squid -k parse
+}
+
+get_pidfile() {
+ PIDFILE=$(awk '/^[ \t]*pid_filename[ \t]+/ {print $2}' $conf)
+ [ -z "$PIDFILE" ] && PIDFILE=/var/run/squid/squid.pid
+}
+
+start() {
+ get_pidfile
+ checkconfig || return 1
+ ebegin "Starting squid"
+ start-stop-daemon --start --pidfile "$PIDFILE" \
+ --env KRB5_KTNAME="${SQUID_KEYTAB}" \
+ --exec /usr/sbin/squid -- ${SQUID_OPTS}
+ eend $? && sleep 1
+}
+
+stop() {
+ local rc=0 pid
+ ebegin "Stopping squid"
+ get_pidfile
+ /usr/sbin/squid -k shutdown
+
+ # Now we have to wait until squid has _really_ stopped.
+ if [ -f "$PIDFILE" ] ; then
+ pid=$(cat "$PIDFILE")
+ if [ -d /proc/$pid ]; then
+ einfon "Waiting for squid to shutdown ."
+ else
+ rm -f "$PIDFILE"
+ fi
+ cnt=0
+ while [ -f "$PIDFILE" ] ; do
+ cnt=$(expr $cnt + 1)
+ if [ $cnt -gt 60 ] ; then
+ # Waited 120 seconds now. Fail.
+ echo
+ rc=1
+ break
+ fi
+ sleep 2
+ echo -n "."
+ done
+ echo
+ fi
+ eend $rc
+}
+
+reload() {
+ checkconfig || return 1
+ ebegin "Reloading squid"
+ /usr/sbin/squid -k reconfigure
+ eend $?
+}
+
+rotate() {
+ service_started squid || return 1
+ ebegin "Rotating logs"
+ /usr/sbin/squid -k rotate
+ eend $?
+}
+
diff --git a/testing/squid/squid.logrotate b/testing/squid/squid.logrotate
new file mode 100644
index 0000000000..fb3279e013
--- /dev/null
+++ b/testing/squid/squid.logrotate
@@ -0,0 +1,11 @@
+/var/log/squid/*.log {
+ daily
+ compress
+ rotate 5
+ missingok
+ nocreate
+ sharedscripts
+ postrotate
+ /usr/sbin/squid -k rotate
+ endscript
+}
diff --git a/testing/squid/squid.post-install b/testing/squid/squid.post-install
new file mode 100644
index 0000000000..88df6d26f9
--- /dev/null
+++ b/testing/squid/squid.post-install
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+chown squid:squid /var/cache/squid /var/log/squid
+exit 0
+
diff --git a/testing/squid/squid.pre-install b/testing/squid/squid.pre-install
new file mode 100644
index 0000000000..322d21deab
--- /dev/null
+++ b/testing/squid/squid.pre-install
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+adduser -D squid -H /var/cache/squid 2>/dev/null
+addgroup winbind 2>/dev/null
+addgroup squid winbind
+exit 0
diff --git a/testing/squid/squid.pre-upgrade b/testing/squid/squid.pre-upgrade
new file mode 100644
index 0000000000..322d21deab
--- /dev/null
+++ b/testing/squid/squid.pre-upgrade
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+adduser -D squid -H /var/cache/squid 2>/dev/null
+addgroup winbind 2>/dev/null
+addgroup squid winbind
+exit 0
diff --git a/testing/wine_gecko/APKBUILD b/testing/wine_gecko/APKBUILD
new file mode 100644
index 0000000000..331b7f8961
--- /dev/null
+++ b/testing/wine_gecko/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=wine_gecko
+pkgver=1.3
+pkgrel=0
+pkgdesc="Wine's built-in replacement for Microsoft's Internet Explorer"
+url="http://wiki.winehq.org/Gecko"
+arch="x86"
+license="MPL"
+depends=""
+makedepends=""
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/wine/wine_gecko-$pkgver-$CARCH.msi"
+
+_builddir=
+prepare() {
+ mkdir -p "$srcdir"
+}
+
+build() {
+ return 0
+}
+
+package() {
+ mkdir -p "$pkgdir"/usr/share/wine/gecko/
+ cp -a "$srcdir"/wine_gecko-$pkgver-$CARCH.msi \
+ "$pkgdir"/usr/share/wine/gecko/
+}
+
+md5sums="9e21684bb68d016b837744d53abb2fde wine_gecko-1.3-x86.msi"